Loading...
Searching...
No Matches
Opm::RFTConfig Class Reference

## Public Types

enum class | RFT { YES = 1 , REPT = 2 , TIMESTEP = 3 , FOPN = 4 , NO = 5 }
enum class | PLT { YES = 1 , REPT = 2 , TIMESTEP = 3 , NO = 5 }

## Public Member Functions

void | first_open (bool on)
void | update (const std::string &wname, const PLT mode)
void | update (const std::string &wname, const RFT mode)
void | update_segment (const std::string &wname, const PLT mode)
bool | active () const
bool | rft () const
bool | rft (const std::string &wname) const
bool | plt () const
bool | plt (const std::string &wname) const
bool | segment () const
bool | segment (const std::string &wname) const
std::optional< RFTConfig > | next () const
std::optional< RFTConfig > | well_open (const std::string &wname) const
bool | operator== (const RFTConfig &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static std::string | RFT2String (const RFT enumValue)
static RFT | RFTFromString (const std::string &stringValue)
static std::string | PLT2String (const PLT enumValue)
static PLT | PLTFromString (const std::string &stringValue)
static RFTConfig | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/RFTConfig.hpp
- opm/input/eclipse/Schedule/RFTConfig.cpp